xine-lib-1.2.10

Introduction à Xine Libraries

Le paquet xine Libraries contient les bibliothèques xine. Elles sont utiles pour être des interfaces avec des plugins externes qui gèrent un flux d'informations depuis la source vers le matériel audio et vidéo.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Dépendances de Xine Libraries

Requises

Système X Window, FFmpeg-4.3.1, et au moins un parmi : ALSA-1.2.2, PulseAudio-13.0 ou JACK

Recommandées

Facultatives

AAlib-1.4rc5, FAAD2-2_9_2, FLAC-1.3.3, gdk-pixbuf-2.40.0, GLU-9.0.1, ImageMagick-7.0.9-23, liba52-0.7.4, libmad-0.15.1b, libmng-2.0.3, libtheora-1.1.1, libva-2.8.0 (requiert GLU-9.0.1), libvdpau-1.4, libvorbis-1.3.7, libvpx-1.9.0, Mesa-20.1.5, Samba-4.12.5, SDL-1.2.15, Speex-1.2.0, Doxygen-1.8.19 (pour créer la documentation de l'API), v4l-utils-1.20.0 DirectFB, libbluray, libcaca, libdca, libFAME, libmodplug, musepack, VCDImager et WavPack,

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/xine-lib

Installation de Xine Libraries

Tout d'abord, corrigez un problème introduit avec GCC-10 et supérieur :

sed -e 's/^const/extern &/' \
    -i src/libreal/real_common.h

Installez Xine Libraries en lançant les commandes suivantes :

./configure --prefix=/usr          \
            --disable-vcd          \
            --with-external-dvdnav \
            --docdir=/usr/share/doc/xine-lib-1.2.10 &&
make

Pour la création de la documentation de l'API, Doxygen doit être installé et tapez la commande suivante :

doxygen doc/Doxyfile

Ce paquet n'est pas fourni avec une suite de tests.

Maintenant, en tant qu'utilisateur root :

make install
[Note]

Note

Pendant l'installation, le Makefile fait quelques liens supplémentaires. Si vous n'avez pas installé Xorg dans /usr, la variable LIBRARY_PATH doit être définie pour l'utilisateur root. Si vous utilisez sudo pour être root, utilisez l'option -E pour passer vos variables d'environnement actuelles au processus d'installation.

Si vous construisez la documentation de l'API, tapez la commande suivante en tant qu'utilisateur root pour l'installer :

install -v -m755 -d /usr/share/doc/xine-lib-1.2.10/api &&
install -v -m644    doc/api/* \
                    /usr/share/doc/xine-lib-1.2.10/api

Explication des commandes

--disable-vcd : Cette option est requise pour compiler Xine Lib sans avoir installé VCDImager. Supprimez cette option si vous avez installé VCDImager.

--with-external-dvdnav : Ce paramètre est requis car les bibliothèques internes ne peuvent pas décoder les DVD.

--docdir=/usr/share/doc/xine-lib-1.2.10 : Ce paramètre provoque l'installation de la documentation dans un répertoire versionné plutôt que dans le répertoire /usr/share/doc/xine-lib par défaut.

--disable-vaapi : utilisez ce paramètre si libva-2.8.0 est installé et que GLU-9.0.1 ne l'est pas, pour éviter un échec à la construction.

Contenu

Programmes installés: xine-config et xine-list-1.2
Bibliothèques installées: libxine.so et de nombreux greffons et extensions vidéo dans /usr/lib/xine/plugins/2.8
Polices installées: Polices du moteur d'affichage en sortie situées dans /usr/share/xine-lib/fonts
Répertoires installés: /usr/include/xine, /usr/lib/xine, /usr/share/xine-lib et /usr/share/doc/xine-lib-1.2.10

Descriptions courtes

xine-config

offre des informations à des programmes essayant de se lier aux bibliothèques xine.

xine-list-1.2

est utilisé pour prendre les informations sur les types de fichier supportés dans xine-lib.

libxine.so

fournit l'API pour traiter des fichiers audio/vidéo.

Last updated on 2020-05-13 15:57:05 +0000